Skip to main content
POST
/
core
/
networks
/
{network}
/
validate-address
curl --request POST \ --url https://api.enterprise.sandbox.uphold.com/core/networks/{network}/validate-address \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "address": "tb1qgu0gacn9pqpnvlqclvdwyz4gfgxz8pptfz4emt" } '
{ "isValid": true }

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication.

Path Parameters

network
string
required

The network code.

Minimum string length: 1

Body

application/json
address
string
required

The crypto address to validate.

Pattern: ^\S.*\S$|^\S$
reference
string

The destination reference (for networks that support it, e.g., XRP destination tag).

Pattern: ^\S.*\S$|^\S$

Response

Address validation result.

isValid
boolean
required

Whether the address is valid for the specified network.

error
object

The error details if the address is invalid.